View Issue Details

IDProjectCategoryView StatusLast Update
0015466mantisbtbugtrackerpublic2019-09-04 03:03
Reportertimdavey1 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.2.12 
Summary0015466: Reporter can't see an issue they have been made a monitor of
Description

I have a reporter who has access to a private project, but $g_limit_reporters is set true so normally they can only see their own issues.

However I have set $g_reminder_receive_threshold = REPORTER so I can make them monitor an issue. However they cannot see this issue, so I presume that limit_reporters overrides the fact they have been made a monitor of an issue.

Is this expected operation - because it is a nice feature to selectively allow reporters to see issues raised by others (such as developers).

TagsNo tags attached.

Relationships

related to 0005702 acknowledged Giving access to private issues to users who are monitoring them 
related to 0024106 new View all bug access 

Activities

dregad

dregad

2013-02-14 15:16

developer   ~0035149

@atrol, isn't that even a duplicate of 0005702 ?

atrol

atrol

2013-02-14 17:49

developer   ~0035154

I don't think this is a duplicate.

This one wants access for reporters to issues they did not report themselves although setting $g_limit_reporters = ON;

0005702 wants access to private issues for users without having $g_private_bug_threshold

eadler

eadler

2014-04-07 15:58

reporter   ~0039852

I can confirm that I expect the same behavior as timdavey1. I also reproduce this issue.

dregad

dregad

2019-09-03 08:31

developer   ~0062709

@atrol

Re-reading your note 0015466:0035154, I still feel it's a duplicate, i.e. the requirement would be satisfied by granting monitoring users visibility to the bug (disregarding $g_limit_reporters in this case). Let me know your thoughts.

atrol

atrol

2019-09-03 16:37

developer   ~0062718

I still think what I wrote in 0015466:0035154

The current issue is about a user who can't access an issue where he is added to the monitoring list because$g_limit_reporters = ON and the user is not the reporter.
0005702 is about a user who can't access an issue where he is added to the monitoring list because the issue is set to private and the user has no $g_private_bug_threshold access rights.

Of course, both issues are fixed if you override both checks by granting monitoring users visibility to the issue.

dregad

dregad

2019-09-04 03:03

developer   ~0062720

Of course, both issues are fixed if you override both checks by granting monitoring users visibility to the issue.

This is what I meant actually...

Issue History

Date Modified Username Field Change
2013-02-06 08:07 timdavey1 New Issue
2013-02-06 10:54 atrol Relationship added related to 0005702
2013-02-14 15:16 dregad Note Added: 0035149
2013-02-14 17:49 atrol Note Added: 0035154
2014-04-07 15:58 eadler Note Added: 0039852
2018-03-12 13:55 atrol Relationship added related to 0024106
2019-09-03 08:31 dregad Note Added: 0062709
2019-09-03 16:37 atrol Note Added: 0062718
2019-09-04 03:03 dregad Note Added: 0062720